#include<iostream>
#include<string>
using namespace std;
int main()
{
	string t;
	cin>>t;
	int pocetak=0, kraj=0;
	for(int i=0; i<=t.length()/2; i++)
	{
		if(t[i]!=t[t.length()-1-i])
		{
			kraj=t.length()-1-i;
			pocetak=i+1;
			break;	
		}
	
	}
	cout<<kraj-pocetak+1;
}